Subject: bug#8927: 24.0.50; Flaw in C-x v u

From: Óscar Fuentes <[email-masked]>
Date: Sun, 26 Jun 2011 14:17:02 +0200

Chong Yidong <[email-masked]> writes:

>> C-x v u should preserve the previous contents of *vc-diff*.
>
> I've checked in a fix to avoid clobbering an existing vc-diff buffer
> when vc-revert shows a diff temporarily.
>
> I agree with Glenn, though, that showing a vc-diff buffer for this
> operation is not a good idea.  Apart from the problems he mentioned, the
> diff is not useful anyway, since there is no way to scroll the window
> during the yes-nor-no prompt.

C-M-v works fine here, and it is posible to select the other windows
with C-x o or with the mouse while the prompt is active. I'm using an
old version (2010-11-11) maybe yes-or-no changed since?

> I added a new option vc-revert-show-diff to control whether vc-revert
> should show a diff, and made it default to nil.

FWIW, I agree with Dan.